<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>book-list-app documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">book-list-app documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>PagesModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.47.0 (20210316.0004)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="815pt" height="284pt"
 viewBox="0.00 0.00 815.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-280 811,-280 811,4 -4,4"/>
<text text-anchor="start" x="382.51" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="169.5,-10 169.5,-30 189.5,-30 189.5,-10 169.5,-10"/>
<text text-anchor="start" x="193.13" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="282.5,-10 282.5,-30 302.5,-30 302.5,-10 282.5,-10"/>
<text text-anchor="start" x="306.23" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="368.5,-10 368.5,-30 388.5,-30 388.5,-10 368.5,-10"/>
<text text-anchor="start" x="392.28" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="465.5,-10 465.5,-30 485.5,-30 485.5,-10 465.5,-10"/>
<text text-anchor="start" x="489.17" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="561.5,-10 561.5,-30 581.5,-30 581.5,-10 561.5,-10"/>
<text text-anchor="start" x="585.23" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_PagesModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-268 799,-268 799,-70 8,-70"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_PagesModule_imports</title>
<polygon fill="none" stroke="black" points="537,-78 537,-130 791,-130 791,-78 537,-78"/>
</g>
<g id="clust8" class="cluster">
<title>cluster_PagesModule_exports</title>
<polygon fill="none" stroke="black" points="217,-208 217,-260 593,-260 593,-208 217,-208"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_PagesModule_declarations</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 529,-130 529,-78 16,-78"/>
</g>
<!-- AddComponent -->
<g id="node1" class="node">
<title>AddComponent</title>
<polygon fill="#ffffb3" stroke="black" points="520.94,-122 415.06,-122 415.06,-86 520.94,-86 520.94,-122"/>
<text text-anchor="middle" x="468" y="-99.8" font-family="Times,serif" font-size="14.00">AddComponent</text>
</g>
<!-- PagesModule -->
<g id="node5" class="node">
<title>PagesModule</title>
<polygon fill="#8dd3c7" stroke="black" points="450.21,-187 447.21,-191 426.21,-191 423.21,-187 357.79,-187 357.79,-151 450.21,-151 450.21,-187"/>
<text text-anchor="middle" x="404" y="-164.8" font-family="Times,serif" font-size="14.00">PagesModule</text>
</g>
<!-- AddComponent&#45;&gt;PagesModule -->
<g id="edge1" class="edge">
<title>AddComponent&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M432.69,-122.11C432.69,-122.11 432.69,-140.99 432.69,-140.99"/>
<polygon fill="black" stroke="black" points="429.19,-140.99 432.69,-150.99 436.19,-140.99 429.19,-140.99"/>
</g>
<!-- HomeComponent -->
<g id="node2" class="node">
<title>HomeComponent</title>
<polygon fill="#ffffb3" stroke="black" points="397.55,-122 282.45,-122 282.45,-86 397.55,-86 397.55,-122"/>
<text text-anchor="middle" x="340" y="-99.8" font-family="Times,serif" font-size="14.00">HomeComponent</text>
</g>
<!-- HomeComponent&#45;&gt;PagesModule -->
<g id="edge2" class="edge">
<title>HomeComponent&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M377.83,-122.11C377.83,-122.11 377.83,-140.99 377.83,-140.99"/>
<polygon fill="black" stroke="black" points="374.33,-140.99 377.83,-150.99 381.33,-140.99 374.33,-140.99"/>
</g>
<!-- PagesComponent -->
<g id="node3" class="node">
<title>PagesComponent</title>
<polygon fill="#ffffb3" stroke="black" points="263.99,-122 150.01,-122 150.01,-86 263.99,-86 263.99,-122"/>
<text text-anchor="middle" x="207" y="-99.8" font-family="Times,serif" font-size="14.00">PagesComponent</text>
</g>
<!-- PagesComponent&#45;&gt;PagesModule -->
<g id="edge3" class="edge">
<title>PagesComponent&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M244.62,-122.03C244.62,-138.4 244.62,-160 244.62,-160 244.62,-160 347.47,-160 347.47,-160"/>
<polygon fill="black" stroke="black" points="347.47,-163.5 357.47,-160 347.47,-156.5 347.47,-163.5"/>
</g>
<!-- ReduceTextPipe -->
<g id="node4" class="node">
<title>ReduceTextPipe</title>
<polygon fill="#ffffb3" stroke="black" points="132.03,-122 23.97,-122 23.97,-86 132.03,-86 132.03,-122"/>
<text text-anchor="middle" x="78" y="-99.8" font-family="Times,serif" font-size="14.00">ReduceTextPipe</text>
</g>
<!-- ReduceTextPipe&#45;&gt;PagesModule -->
<g id="edge4" class="edge">
<title>ReduceTextPipe&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M78,-122.11C78,-141.34 78,-169 78,-169 78,-169 347.64,-169 347.64,-169"/>
<polygon fill="black" stroke="black" points="347.64,-172.5 357.64,-169 347.64,-165.5 347.64,-172.5"/>
</g>
<!-- HomeComponent  -->
<g id="node8" class="node">
<title>HomeComponent </title>
<polygon fill="#fb8072" stroke="black" points="584.54,-252 465.46,-252 465.46,-216 584.54,-216 584.54,-252"/>
<text text-anchor="middle" x="525" y="-229.8" font-family="Times,serif" font-size="14.00">HomeComponent </text>
</g>
<!-- PagesModule&#45;&gt;HomeComponent  -->
<g id="edge7" class="edge">
<title>PagesModule&#45;&gt;HomeComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M450.12,-178C471.86,-178 493.1,-178 493.1,-178 493.1,-178 493.1,-205.97 493.1,-205.97"/>
<polygon fill="black" stroke="black" points="489.6,-205.97 493.1,-215.97 496.6,-205.97 489.6,-205.97"/>
</g>
<!-- NavModule  -->
<g id="node9" class="node">
<title>NavModule </title>
<polygon fill="#fb8072" stroke="black" points="447.37,-252 360.63,-252 360.63,-216 447.37,-216 447.37,-252"/>
<text text-anchor="middle" x="404" y="-229.8" font-family="Times,serif" font-size="14.00">NavModule </text>
</g>
<!-- PagesModule&#45;&gt;NavModule  -->
<g id="edge8" class="edge">
<title>PagesModule&#45;&gt;NavModule </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M404,-187.11C404,-187.11 404,-205.99 404,-205.99"/>
<polygon fill="black" stroke="black" points="400.5,-205.99 404,-215.99 407.5,-205.99 400.5,-205.99"/>
</g>
<!-- PagesComponent  -->
<g id="node10" class="node">
<title>PagesComponent </title>
<polygon fill="#fb8072" stroke="black" points="342.99,-252 225.01,-252 225.01,-216 342.99,-216 342.99,-252"/>
<text text-anchor="middle" x="284" y="-229.8" font-family="Times,serif" font-size="14.00">PagesComponent </text>
</g>
<!-- PagesModule&#45;&gt;PagesComponent  -->
<g id="edge9" class="edge">
<title>PagesModule&#45;&gt;PagesComponent </title>
<path fill="none" stroke="black" stroke-dasharray="5,2" d="M357.71,-178C335.01,-178 312.49,-178 312.49,-178 312.49,-178 312.49,-205.97 312.49,-205.97"/>
<polygon fill="black" stroke="black" points="308.99,-205.97 312.49,-215.97 315.99,-205.97 308.99,-205.97"/>
</g>
<!-- NavModule -->
<g id="node6" class="node">
<title>NavModule</title>
<polygon fill="#8dd3c7" stroke="black" points="783.37,-122 780.37,-126 759.37,-126 756.37,-122 700.63,-122 700.63,-86 783.37,-86 783.37,-122"/>
<text text-anchor="middle" x="742" y="-99.8" font-family="Times,serif" font-size="14.00">NavModule</text>
</g>
<!-- NavModule&#45;&gt;PagesModule -->
<g id="edge5" class="edge">
<title>NavModule&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M742,-122.11C742,-141.34 742,-169 742,-169 742,-169 460.29,-169 460.29,-169"/>
<polygon fill="black" stroke="black" points="460.29,-165.5 450.29,-169 460.29,-172.5 460.29,-165.5"/>
</g>
<!-- PagesRoutingModule -->
<g id="node7" class="node">
<title>PagesRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="682.82,-122 679.82,-126 658.82,-126 655.82,-122 545.18,-122 545.18,-86 682.82,-86 682.82,-122"/>
<text text-anchor="middle" x="614" y="-99.8" font-family="Times,serif" font-size="14.00">PagesRoutingModule</text>
</g>
<!-- PagesRoutingModule&#45;&gt;PagesModule -->
<g id="edge6" class="edge">
<title>PagesRoutingModule&#45;&gt;PagesModule</title>
<path fill="none" stroke="black" d="M564.93,-122.03C564.93,-138.4 564.93,-160 564.93,-160 564.93,-160 460.12,-160 460.12,-160"/>
<polygon fill="black" stroke="black" points="460.12,-156.5 450.12,-160 460.12,-163.5 460.12,-156.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/pages/pages.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AddComponent.html">AddComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HomeComponent.html">HomeComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/PagesComponent.html">PagesComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../pipes/ReduceTextPipe.html">ReduceTextPipe</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/NavModule.html">NavModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/PagesRoutingModule.html">PagesRoutingModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Exports<a href="https://angular.io/api/core/NgModule#exports" target="_blank" title="Official documentation about module exports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/HomeComponent.html">HomeComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/NavModule.html">NavModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/PagesComponent.html">PagesComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">
import { NgModule } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { PagesRoutingModule } from &#x27;./pages-routing.module&#x27;;
import { BrowserModule } from &#x27;@angular/platform-browser&#x27;;
import { PagesComponent } from &#x27;./pages.component&#x27;;
import { HomeComponent } from &#x27;./home/home.component&#x27;;

import { NavModule } from &#x27;../nav/nav.module&#x27;;
import { ReduceTextPipe } from &#x27;./reduce-text/reduce-text.pipe&#x27;;
import { AddComponent } from &#x27;./add/add.component&#x27;;
import {ReactiveFormsModule, FormsModule} from &#x27;@angular/forms&#x27;
import { HttpClientModule } from &#x27;@angular/common/http&#x27;;

@NgModule({
  imports: [
    BrowserModule,
    CommonModule,
    NavModule,
    PagesRoutingModule,
    ReactiveFormsModule, FormsModule,HttpClientModule
  ],
  declarations: [
    PagesComponent,
    HomeComponent,
    AddComponent,
    ReduceTextPipe,
  ],
  exports: [
    PagesComponent,NavModule,HomeComponent
  ]
})
export class PagesModule { }

</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'PagesModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
